
<h1>Inspector</h1>
<hr>


<div class="row text-right">
    <div class="col">
        <button class="btn btn-danger" routerLink="/inspectores">
            <i class="fa fa-arrow-left"></i>
            Regresar
        </button>
    </div>
</div>

<div class="row animated fadeIn faster">
    <div class="col">
        <form (ngSubmit)="guardar( f )" #f="ngForm" >
            <div class="form-group row">
                <label>Nombre:</label>
                <input type="text" class="form-control" 
                placeholder="Nombre del Inspector" 
                [class.is-invalid]="nombre.invalid && nombre.touched"
                [(ngModel)]="inspector.nombre" 
                name="nombre"
                required="true" 
                minlength="3"
                #nombre="ngModel">
                <small *ngIf="nombre.invalid && nombre.touched"
                class="form-text text-danger">El nombre debe contener al menos 3 letras</small>
            </div>

            <div class="form-group row">
                <label>Apellido: </label>
                <input type="text" class="form-control" 
                placeholder="Apellido del Inspector" 
                [class.is-invalid]="apellido.invalid && apellido.touched"
                 [(ngModel)]="inspector.apellido" 
                name="apellido"
                required="true"  
                minlength="3"  
                #apellido="ngModel">
                <small *ngIf="apellido.invalid && apellido.touched"
                class="form-text text-danger">El apellido debe contener al menos 3 letras</small>
            </div>

            <div class="form-group row">
                <label>Documento: </label>
                <input type="number" class="form-control"
                placeholder="Documento del Inspector" 
                required="true" 
                [class.is-invalid]="dni.invalid && dni.touched"
                [(ngModel)]="inspector.dni" 
                name="dni"
                required="true" 
                minlength="3"  
                #dni="ngModel">
                <small *ngIf="dni.invalid && dni.touched"
                class="form-text text-danger">El documento debe contener al menos 3 dígitos</small>
            </div>

            <div class="form-group row">
                <label>Legajo: </label>
                <input type="text" class="form-control" 
                placeholder="Legajo del Inspector" 
                [class.is-invalid]="legajo.invalid && legajo.touched"
                [(ngModel)]="inspector.legajo" 
                name="legajo"
                required="true" 
                minlength="3"  
                #legajo="ngModel">
                <small *ngIf="legajo.invalid && legajo.touched"
                class="form-text text-danger">El legajo debe contener al menos 3 letras</small>
            </div>

            <hr>
            <div class="for-group text-center">
                <button type="submit" class="btn btn-primary w-25">
                    <i class="fa fa-save"></i>
                    Guardar
                </button>
            </div>
        </form>
    </div>
</div>